POST /actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames

Set number of frames on shots based on latest preview files for a task type. Optionally scope by episode via query param.

application/json

Body Required

  • shots array[object] Required
    Hide shots attributes Show shots attributes object
    • shot_id string(uuid)
    • nb_frames integer

Responses

  • 200 application/json

    Frames set for given shots

    Hide response attribute Show response attribute object
    • updated integer
  • 400

    Invalid ids or parameters

POST /actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames
curl -X POST "http://api.example.com/actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "shots": [
    {
      "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25",
      "nb_frames": 24
    }
  ]
}'
import requests

url = "http://api.example.com/actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "shots": [
        {
            "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25",
            "nb_frames": 24
        }
    ]
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/actions/projects/{project_id}/task-types/{task_type_id}/set-shot-nb-frames' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"shots":[{"shot_id":"a24a6ea4-ce75-4665-a070-57453082c25","nb_frames":24}]}'
Request examples
{
  "shots": [
    {
      "shot_id": "a24a6ea4-ce75-4665-a070-57453082c25",
      "nb_frames": 24
    }
  ]
}
Response examples (200)
{
  "updated": 12
}